import 'package:flutter/material.dart';
import 'package:flutter_form_builder/flutter_form_builder.dart';

class FormWidget extends StatelessWidget {
  final GlobalKey<FormBuilderState> fbKey;
  final Map<String, dynamic> initialValue;
  final bool autoValidate;
  final List<Widget> bodyForm;

  FormWidget({this.fbKey, this.initialValue, this.autoValidate, this.bodyForm});

  @override
  Widget build(BuildContext context) {
    return FormBuilder(
      key: fbKey,
      initialValue: initialValue,
      autovalidateMode:
          autoValidate ? AutovalidateMode.always : AutovalidateMode.disabled,
      child: Column(
        //padding: EdgeInsets.only(left: 8, right: 8),
        children: bodyForm,
      ),
    );
  }
}
